Page MenuHomePhabricator

Apply language fallbacks in JavaScript-formatted entity ids
Closed, ResolvedPublic

Description

If you enter a new statement and you provide a property without a label in your UI language (via property id), the result does not apply language fallbacks, but shows the linked raw property id with wikibase-label-empty appended. This has to mirror the entity id formatting done in PHP.

Details

Related Gerrit Patches:
mediawiki/extensions/Wikibase : masterUse API for formatting in JS

Event Timeline

adrianheine claimed this task.
adrianheine raised the priority of this task from to Normal.
adrianheine updated the task description. (Show Details)
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 28 2015, 12:47 PM
Jonas closed this task as Resolved.Sep 10 2015, 3:17 PM
Jonas set Security to None.

How is this done? It's part of https://gerrit.wikimedia.org/r/#/c/201182/ (not done, not merged yet).

We tested it and it worked.

adrianheine reopened this task as Open.Sep 14 2015, 8:31 AM

Note that this is about the property! Steps to reproduce:

  • Switch to a language which has few labels if any at all in your wiki
  • Add a statement
  • Select some property
  • Add a valid value
  • Save

Expected: Property has a nice label with fallback indicator
Reality: Property has an entity id and missing label hint

Change 201182 had a related patch set uploaded (by Adrian Lang):
Use API for formatting in JS

https://gerrit.wikimedia.org/r/201182

Change 201182 merged by jenkins-bot:
Use API for formatting in JS

https://gerrit.wikimedia.org/r/201182

hoo closed this task as Resolved.Sep 29 2015, 2:32 PM
hoo removed a project: Patch-For-Review.
hoo moved this task from Review to Done on the Wikidata-Sprint-2015-09-29 board.